#
# spec file for package gap-cap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-cap
Version:        2023.02.06
%define sillyver 2023.02-06
Release:        1.2
Summary:        GAP: Categories, Algorithms and Programming
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/CAP
#Git-Clone:     https://github.com/homalg-project/CAP_project
Source:         https://github.com/homalg-project/CAP_project/releases/download/CAP-%sillyver/CAP-%sillyver.tar.gz
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
Requires:       gap-core >= 4.12.1
Requires:       gap-io
Requires:       gap-toolsforhomalg >= 2022.09.06
Suggests:       gap-browse
Suggests:       gap-compilerforcap >= 2021.12.05

%description
CAP is a package for category theory. It facilitates the
implementation of specific instances of categories and provides a
language for writing generic categorical algorithms.

%prep
%autosetup -n CAP-%sillyver

%build
rm -v doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.02.06
  * No changelog was provided
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.06
  * Derive ZeroMorphism as the empty sum of morphisms
  * Make FreydCategoriesForCAP independent of LinearAlgebraForCAP
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.08.31
  * No changelog was provided
* Fri Dec 22 2017 jengelh@inai.de
- Initial package (version 2017.09.25) for build.opensuse.org
